package com.jianshui.platform.service;

import java.util.List;
import com.jianshui.platform.domain.VehicleCode;

/**
 * 车辆编码Service接口
 * 
 * @author kk
 * @date 2023-06-28
 */
public interface IVehicleCodeService 
{
    /**
     * 查询车辆编码
     * 
     * @param id 车辆编码主键
     * @return 车辆编码
     */
    public VehicleCode selectVehicleCodeById(Long id);

    /**
     * 查询车辆编码列表
     * 
     * @param vehicleCode 车辆编码
     * @return 车辆编码集合
     */
    public List<VehicleCode> selectVehicleCodeList(VehicleCode vehicleCode);

    /**
     * 新增车辆编码
     * 
     * @param vehicleCode 车辆编码
     * @return 结果
     */
    public int insertVehicleCode(VehicleCode vehicleCode);

    /**
     * 修改车辆编码
     * 
     * @param vehicleCode 车辆编码
     * @return 结果
     */
    public int updateVehicleCode(VehicleCode vehicleCode);

    /**
     * 批量删除车辆编码
     * 
     * @param ids 需要删除的车辆编码主键集合
     * @return 结果
     */
    public int deleteVehicleCodeByIds(Long[] ids);

    /**
     * 删除车辆编码信息
     * 
     * @param id 车辆编码主键
     * @return 结果
     */
    public int deleteVehicleCodeById(Long id);
}
